﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TicTacToe
{
    public partial class NewGameDialog : Form
    {
        public Game Game { get; private set; }

        public NewGameDialog()
        {
            InitializeComponent();
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);

            e.Graphics.DrawCross(32, 40, 25);
            e.Graphics.DrawCircle(32, 100, 25);
        }

        private void ValidateName(object sender, CancelEventArgs e)
        {
            Control control = (sender as Control);

            if (String.IsNullOrWhiteSpace(control.Text))
            {
                errorProvider.SetError(control, "Name cannot be blank!");
                e.Cancel = true;
            }
            else
            {
                errorProvider.SetError(control, null);
                e.Cancel = false;
            }
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }

        private void confirmButton_Click(object sender, EventArgs e)
        {
            if (ValidateChildren())
            {
                Game = new Game(player1TextBox.Text, player2TextBox.Text);

                DialogResult = DialogResult.OK;
                Close();
            }
        }
    }
}
