﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TicTacToe
{
    public static class TicTacToeExtensions
    {
        private static readonly Pen CrossPen = new Pen(Color.Red, 5);
        private static readonly Pen CirclePen = new Pen(Color.Navy, 5);

        public static void DrawCross(this Graphics g, int x, int y, int size)
        {
            g.DrawLine(CrossPen, x, y, (x + size), (y + size));
            g.DrawLine(CrossPen, (x + size), y, x, (y + size));
        }

        public static void DrawCircle(this Graphics g, int x, int y, int size)
        {
            g.DrawEllipse(CirclePen, x, y, size, size);
        }
    }
}
